Package com.microblink.blinkid.entities.recognizers

# Enum Class RecognizerBundle.RecognitionDebugMode

java.lang.Object
java.lang.Enum<RecognizerBundle.RecognitionDebugMode>
com.microblink.blinkid.entities.recognizers.RecognizerBundle.RecognitionDebugMode

All Implemented Interfaces:
  `Serializable`, `Comparable<RecognizerBundle.RecognitionDebugMode>`, `Constable`

Enclosing class:
  RecognizerBundle

public static enum RecognizerBundle.RecognitionDebugMode extends Enum<RecognizerBundle.RecognitionDebugMode>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DETECTION_TEST`
  will perform only detection and will profile the performance of slip detection
  `RECOGNITION`
  indicates normal scanning operation
  `RECOGNITION_TEST`
  will perform indefinite scan and will profile the performance of scans

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RecognizerBundle.RecognitionDebugMode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static RecognizerBundle.RecognitionDebugMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### RECOGNITION

    public static final RecognizerBundle.RecognitionDebugMode RECOGNITION
    indicates normal scanning operation

  - ### RECOGNITION_TEST

    public static final RecognizerBundle.RecognitionDebugMode RECOGNITION_TEST
    will perform indefinite scan and will profile the performance of scans

  - ### DETECTION_TEST

    public static final RecognizerBundle.RecognitionDebugMode DETECTION_TEST
    will perform only detection and will profile the performance of slip detection

- ## Method Details

  - ### values

    public static RecognizerBundle.RecognitionDebugMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static RecognizerBundle.RecognitionDebugMode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null